Bug 593486 - RFE: Offer to install extended package set when installed on memory stick
Summary: RFE: Offer to install extended package set when installed on memory stick
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 22:08 UTC by birger
Modified: 2010-10-23 00:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-23 00:14:20 UTC
Type: ---


Attachments (Terms of Use)

Description birger 2010-05-18 22:08:15 UTC
On first boot the LiveCD image could detect the presence of more disk space (partition size, presence of overlay mount or whatever) and offer to install an extended package set (from network, additional CD's, etc).

This way the LiveCD image could extend itself to become equivalent to a larger LiveDVD/LiveUSB image, transform into a spin, etc...

If a memory stick with an extended feature set is then installed to disk I would propose that the install routine asks if the user wants just a base LiveCD install, or include packages installed in the overlay.

Comment 1 William Glover 2010-05-18 22:11:56 UTC

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Bruno Wolff III 2010-09-11 19:13:39 UTC
I don't think that is the way they are intended to be used. Normally if you want more stuff in a live image you do that when you create the image. If you decide to do that after the fact, you can manually install stuff if you have an overlay area set up. I am not sure how prompting someone to do that is a good idea, when the vast majority of the time people aren't going to want to do that.

Comment 3 Fedora Admin XMLRPC Client 2010-10-21 17:53:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.